| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - e -

- edges : csBox3
- EffectParticles() : iParticleEffector
- elcount : csFixedSizeAllocator< Size, Allocator >
- Element() : csHash< T, K, ArrayMemoryAlloc >::Element
- ElementArray : csHash< T, K, ArrayMemoryAlloc >
- ElementHandlerType : csFIFO< T, ElementHandler, MemoryAllocator >, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >
- Elements : csHash< T, K, ArrayMemoryAlloc >
- elsize : csFixedSizeAllocator< Size, Allocator >
- EmitParticles() : iParticleEmitter
- Empty() : iStringSet, iStringArray, iString, iArrayChangeAll< T >, csStringSet, csStringHash, csSet< T, Allocator >, csScfStringSet, scfStringArray, scfString, scfArrayWrap< IF, Backend >, scfArray< IF, Backend >, csRedBlackTreeMap< K, T >, csRedBlackTree< K >, csMemoryPool, csHash< T, K, ArrayMemoryAlloc >, csFixedSizeAllocator< Size, Allocator >, csStringBase, csBlockAllocator< T, Allocator, ObjectDispose >, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >, csRenderMeshList, csBox3, csBox2
- Enable() : iRigidBody
- EnableAutoDisable() : iODEDynamicSystemState, iDynamicSystem
- EnableCrashMinidumps() : cswinMinidumpWriter
- Enabled() : iVerbosityManager, csVerbosityManager, csVerbosityParser
- EnableEventProcessing() : iODEDynamicState
- EnableEvents() : iEventPlug
- EnableFastObjects() : iODEDynamicSystemState, iODEDynamicState
- EnableFrameRate() : iODEDynamicSystemState, iODEDynamicState
- EnableHitMeshes() : csColliderActor
- EnableStepFast() : iODEDynamicSystemState, iODEDynamicState
- EnableTweening() : iSprite3DState, iSprite3DFactoryState
- EnableZOffset() : iGraphics3D
- Encode() : csUnicodeTransform, csMD5
- EncodeUTF16() : csUnicodeTransform
- EncodeUTF32() : csUnicodeTransform
- EncodeUTF8() : csUnicodeTransform
- End() : csColorQuantizer, csSegment3, csSegment2
- end : csPolygonRange, csFog
- end_sector : csTraceBeamResult
- end_x : csTestRectData
- endcol : csTestRectData
- endOffset : csRegExpMatch
- endrow : csTestRectData
- Engine : csMeshType, csMeshFactory, csMeshObject
- engine : FrameBegin3DDraw, CS::UberScreenshotMaker, csParticleSystem
- Enqueue() : iJobQueue, csThreadJobQueue
- EnsureImage() : csImageMemory
- entries : csFontCache::PlaneGlyphs
- Entry() : csPathsList::Entry
- Enumerate() : iConfigFile, csWin32RegistryConfig, csConfigManager, csConfigFile, csConfigDocument
- eq() : csRGBpixel
- Equal() : csRect
- Equals() : iDocumentNode
- Erase() : csProgressPulse
- Evaluate() : csShaderExpression
- eventh : csBaseEventHandler
- EventOutlet : csGraphics2DGLCommon
- eventType : csKeyEventData
- ExceptionPointers : MINIDUMP_EXCEPTION_INFORMATION
- Exclude() : csRectRegion, csRect
- ExecCommand() : iBugPlug
- Execute() : iODEFrameUpdateCallback, iDynamicsCollisionCallback, iConsoleExecCallback, iSkeleton, iSkeletonUpdateCallback, iSkeletonScriptCallback, iGenMeshAnimationControlState
- Exists() : iVFS
- Exp() : csQuaternion
- ExpandAll() : csPathsUtilities
- ExpandIfNeeded() : csStringBase
- ExpandPath() : iVFS, csPathsUtilities
- ext : csGraphics2DGLCommon
- Extend() : csRect
- ExtendConvex() : csPoly2D
- external_file_attributes : ZIP_central_directory_file_header
- extmgr : csGLStateCache, csGLStateCacheContext
- extra_field_length : ZIP_central_directory_file_header, ZIP_local_file_header
- Extract() : csPDelArray< T >